import numpy as np

from plane import Plane
from vector import Vector

if __name__ == '__main__':
  a = Vector.fromargs(1, 2, 3)
  b = Vector.fromiterable(np.eye(3)[:, 0])
  print(a @ b)
  print(abs(a))
  print(a / 2)

  p = Plane(
    Vector.fromargs(0, 0, 0),
    Vector.fromargs(0, 1, 0),
  )

  print(p & Vector.fromargs(1, 1, 0))
